<template>
    <section class="anchor_tags" id="about">
        <div id="laptop-gsap">
            <img src="/images/icon-computer.svg" alt="" style="width: 600px; height: 500px;" />
        </div>

        <div class="container px-0" id="about-block">
            <div class="text-light">
                <h1 class="tech-font">
                    <span class="text__first">
                        <span class="text__word">Who I am</span>
                        <span class="text__first-bg"></span>
                    </span>
                </h1>

                <div class="about-content mt-5">
                    <p class="mt-3">My name is Bobby. Born in Skopje in 1991, I'm a web designer and fullstack developer.</p>
                    <p>I have studied programming languages in American College Skopje.</p>
                    <p>There’s nothing I enjoy more than designing and developing good websites.</p>
                    <p>I love the internet, technology and I’m a huge gamer. I also <b class="text-warning">LOVE</b> food.</p>
                    <p>Driven and curious, I’m specialized in fixing front-end issues</p>

                    <br />
                    <p class="border-line-bottom" style="border-bottom: 2px solid #ffc107; width: 25%"></p>
                    <br />
                </div>
                <div class="about-content mt-0">
                    <p>
                        Passionate about web technologies. I love working at the intersection of creativity and user friendly interfaces.
                    </p>
                    <p>If you’ve got a project you’d like to work on with me just get in touch and we can get to work!</p>
                </div>
            </div>
        </div>

        <div class="my-5 py-5 skills-wrapper">
            <div class="skills-block skills-block-front">
                <div class="skill-items">
                    <p class="text-uppercase font-28 text-secondary">HTML</p>
                    <p class="text-uppercase font-28 text-secondary">CSS</p>
                    <p class="text-uppercase font-28 text-secondary">SCSS</p>
                    <p class="text-uppercase font-28 text-secondary">jqueryui</p>
                    <p class="text-uppercase font-28 text-secondary">jquery</p>
                    <p class="text-uppercase font-28 text-secondary">javascript</p>
                    <p class="text-uppercase font-28 text-secondary">lodash</p>
                    <p class="text-uppercase font-28 text-secondary">semanticui</p>
                    <p class="text-uppercase font-28 text-secondary">bootstrap</p>
                    <p class="text-uppercase font-28 text-secondary">pug</p>
                </div>
            </div>
            <div class="skills-block skills-block-back">
                <div class="skill-items">
                    <p class="text-uppercase font-28 text-secondary">vue.js</p>
                    <p class="text-uppercase font-28 text-secondary">angular</p>
                    <p class="text-uppercase font-28 text-secondary">laravel</p>
                    <p class="text-uppercase font-28 text-secondary">lumen</p>
                    <p class="text-uppercase font-28 text-secondary">nuxt</p>
                    <p class="text-uppercase font-28 text-secondary">node.js</p>
                    <p class="text-uppercase font-28 text-secondary">mysql</p>
                    <p class="text-uppercase font-28 text-secondary">mongo</p>
                    <p class="text-uppercase font-28 text-secondary">git</p>
                    <p class="text-uppercase font-28 text-secondary">webpack</p>
                </div>
            </div>
        </div>
    </section>
</template>

<style>
    #about {
        height: 100%;
        position: relative;
    }

    #about {
        font-family: "Chivo", sans-serif;
        font-weight: 300;
    }

    #about h1 {
        font-family: "Playfair Display", serif;
        font-weight: 700;
        font-style: italic;
    }

    #about-block > div {
        padding: 6rem 0px;
    }

    #laptop-gsap {
        position: absolute;
        right: -200px;
        bottom: -200px;
        z-index: 1;
        background-color: transparent;
        clip-path: polygon(0% 0%, 0% 100%, 10% 100%, 10% 10%, 88% 10%, 88% 68%, 10% 68%, 10% 100%, 100% 100%, 100% 0);
    }

    .about-content {
        line-height: 2;
        font-size: 18px;
    }

    .skills-block {
        width: 150%;
        height: 50px;
        overflow: hidden;
    }

    .skills-block p {
        width: 200px;
        height: 50px;
        position: absolute;
        font-size: 40px;
        font-weight: 600;
        line-height: 50px;
        text-align: center;
    }

    .skill-items {
        position: relative;
        left: -200px;
    }

    h1.tech-font {
        font-size: 7vmin;
        display: inline-block;
        margin-left: -5px;
    }

    .text__first {
        position: relative;
    }

    .text__word {
        opacity: 0;
        color: white;
    }

    .text__first-bg {
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        z-index: 100;
        transform-origin: left;
        transform: scaleX(0);
        background-color: #ffc107;
    }
</style>
